# OSGeo::FDO::Commands::IdentifierCollection Class Reference
[OSGeo::FDO::Commands]

Inheritance diagram for OSGeo::FDO::Commands::IdentifierCollection:

[legend]

List of all members.

## Detailed Description

The IdentifierCollection class represents a collection of FDO Identifier objects.

()

## Public Member Functions
System::Int32 | Add (OSGeo::FDO::Expression::Identifier *value)
| Adds a Identifier object into the collection.
System::Void | Clear ()
| Removes all elements from the collection.
System::Boolean | Contains (OSGeo::FDO::Expression::Identifier *value)
| Determines whether the collection contains a specific Identifier object.
System::Void | CopyTo (OSGeo::FDO::Expression::Identifier *array[], System::Int32 index)
| Copies the elements of the collection to an array.
OSGeo::FDO::Expression::Identifier * | FindItem (System::String *name)
| Finds the item in the collection with the specified name. Returns NULL if an item with the specified name does not exist in the collection.
__property System::Int32 | get_Count (System::Void)
| Gets the count of items in collection.
__property OSGeo::FDO::Expression::Identifier * | get_Item (System::Int32 index)
| Gets an item in the collection.
__property OSGeo::FDO::Expression::Identifier * | get_RealTypeItem (System::Int32 index)
| Gets or sets a Identifier in the collection.
__sealed System::Collections::IEnumerator * | GetEnumerator (System::Void)
| Gets an enumerator that can iterate through a collection.
OSGeo::FDO::Expression::Identifier * | GetItem (System::Int32 index)
| Gets the item in the collection at the specified index. Throws an invalid argument exception if the index is out of range.
OSGeo::FDO::Expression::Identifier * | GetItem (System::String *name)
| Gets the item in the collection with the specified name. Throws an invalid argument exception if an item with the specified name does not exist in the collection.
| IdentifierCollection ()
| Constructs a new empty string collection.
System::Int32 | IndexOf (OSGeo::FDO::Expression::Identifier *value)
| Determines the index of a specific Identifier object.
System::Void | Insert (System::Int32 index, OSGeo::FDO::Expression::Identifier *value)
| Inserts a Identifier object into the collection at the specified position.
System::Void | Remove (OSGeo::FDO::Expression::Identifier *value)
| Removes the first occurrence of a specific Identifier object.
System::Void | RemoveAt (System::Int32 index)
| Removes the index-th Identifier from this collection.
__property System::Void | set_Item (System::Int32 index, OSGeo::FDO::Expression::Identifier *value)
| Sets the value of the item at the specified index.
__property System::Void | set_RealTypeItem (System::Int32 index, OSGeo::FDO::Expression::Identifier *value)
| Sets the value of the item at the specified index.